2010-07-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Parser/DomParser.cs:
	* VBNetBinding.addin.xml: Track ProjectDomService/Parser API.

2010-06-14  Lluis Sanchez Gual  <lluis@novell.com>

	* VBBindingCompilerServices.cs: Track api changes.

2010-06-04  Lluis Sanchez Gual  <lluis@novell.com>

	* templates/VBConsoleApplicationProject.xpt.xml: Set the
	  external console flag for console projects.

2010-05-05  Lluis Sanchez Gual  <lluis@novell.com>

	* VBNetBinding.addin.xml: Remove duplicated options section.

2010-05-05  Lluis Sanchez Gual  <lluis@novell.com>

	* VBNetBinding.addin.xml: Fix type reference. Fixes bug
	  #602452 - VB project options fail.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* VBNetBinding.addin.xml: Bumped MD version.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* VBNetBinding.csproj:
	* VBNetBinding.addin.xml:
	* Gui/ImportsOptionsPanel.cs:
	* Gui/ProjectOptionsPanel.cs:
	* VBBindingCompilerServices.cs:
	* Gui/ImportsOptionsPanelWidget.cs:
	* Gui/ConfigurationOptionsPanel.cs:
	* Gui/ProjectOptionsPanelWidget.cs:
	* Gui/ConfigurationOptionsPanelWidget.cs: Merged MD.Projects
	  into MD.Core, and MD.Projects.Gui, MD.Core.Gui and
	  MD.Components into MD.Ide.

2010-03-03  Michael Hutchinson  <mhutchinson@novell.com>

	* Project/VBNetResourceIdBuilder.cs: Track ProjectFile Link
	  API.

2010-03-01  Michael Hutchinson  <mhutchinson@novell.com>

	* Parser/DomParser.cs: Use getter and setter modifiers.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* VBNetBinding.csproj: Flush.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/objects.xml:
	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.VBNetBinding.ProjectOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.VBNetBinding.ImportsOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.VBNetBinding.ConfigurationOptionsPanelWidget.cs:
	  Flush.

2009-12-21  Lluis Sanchez Gual  <lluis@novell.com>

	* templates/VBGtkSharp2Project.xpt.xml: Set correct assembly
	  target for gui projects.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* VBLanguageBinding.cs:
	* VBBindingCompilerServices.cs: Introduced the
	  ConfigurationSelector class to all methods that previously
	  took a configuration name as string. This eliminates the
	  ambiguity between solution configuration names and project
	  configuration names.

2009-11-24  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* VBBindingCompilerServices.cs: When setting the doc file, use quotes
	in case the filename has spaces.

2009-11-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/VBProjectParameters.cs: Use the new
	  DotNetProjectParameters base class, and inform that in VB,
	  the default namespace is implicit.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* VBNetBinding.addin.xml: Bump MD version.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* VBBindingCompilerServices.cs: Trim file name.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* templates\VBGtkSharp2Project.xpt.xml: Add missing reference
	  (vbc requires it).

	* VBBindingCompilerServices.cs: Fixed error parsing regex so
	  that it works for MS's vbc. Added -quiet parameter to remove
	  unrequired output messages.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* templates/AssemblyInfo.xft.xml: Fix template so that it
	  works with MS.NET.

	* VBBindingCompilerServices.cs: Improve error message when the
	  compiler is not found.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* VBBindingCompilerServices.cs: Locate the correct compiler
	  and set the required env vars for the target runtime object.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/objects.xml:
	* VBNetBinding.csproj:
	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.VBNetBinding.ImportsOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.VBNetBinding.ProjectOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.VBNetBinding.ConfigurationOptionsPanelWidget.cs:
	  Flush.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* VBNetBinding.addin.xml: Update license.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* VBNetBinding.addin.xml: Bump MD version.

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* Parser/DomParser.cs:
	* VBLanguageBinding.cs:
	* VBBindingCompilerServices.cs:
	* Project/VBCompilerParameters.cs: Updated license. Markus
	  Palme has relicensed to MIT/X11.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* VBNetBinding.csproj: Updated dependencies. We now depend on
	  gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* VBNetBinding.csproj: Flush.

2009-06-19  Michael Hutchinson  <mhutchinson@novell.com>

	* templates/VBConsoleApplicationProject.xpt.xml: Add a
	  reference to system.dll.

2009-04-20  Michael Hutchinson  <mhutchinson@novell.com>

	* VBLanguageBinding.cs: Track comment tag API.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* VBNetBinding.csproj: don't require specific gtk-sharp version.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* VBLanguageBinding.cs:
	* VBNetBinding.addin.xml: Removed icon service.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* VBNetBinding.addin.xml: Bump MD version.

2009-03-20  Michael Hutchinson  <mhutchinson@novell.com>

	* templates/VBGtkSharp2Project.xpt.xml: Don't require specific
	  GTK# versions.

2009-03-18  Lluis Sanchez Gual  <lluis@novell.com>

	* VBBindingCompilerServices.cs: Added workaround for bug
	  484351 - VB projects compile with warning "optioninfer was
	  not recognized.

2009-03-17  Mike Krüger  <mkrueger@novell.com>

	* Parser/DomParser.cs: Track API changes.

2009-03-13  Michael Hutchinson  <mhutchinson@novell.com>

	* VBNetBinding.csproj: Don't local-copy project refs.

2009-03-10  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* VBNetBinding.csproj: Monodevelop changed the reference a
	  bit.

2009-03-10  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* VBNetBinding.csproj: Updated nrefactory reference.

2009-02-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* VBNetBinding.csproj:
	* gtk-gui/objects.xml:
	* ProjectExtensions.cs:
	* VBLanguageBinding.cs:
	* VBNetBinding.addin.xml:
	* Gui/ProjectOptionsPanel.cs:
	* Gui/ImportsOptionsPanel.cs:
	* VBBindingCompilerServices.cs:
	* Project/VBProjectParameters.cs:
	* Project/VBCompilerParameters.cs:
	* Gui/ProjectOptionsPanelWidget.cs:
	* Gui/ImportsOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.VBNetBinding.ProjectOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.VBNetBinding.ImportsOptionsPanelWidget.cs:
	  Use the new ProjectParameters class and property to store
	  global project settings that were previously stored as
	  custom properties. Split the compiler options in two panels,
	  one with the basic options and one with the imports.

2009-02-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* Project/Import.cs:
	* gtk-gui/gui.stetic:
	* VBNetBinding.csproj:
	* VBLanguageBinding.cs:
	* VBNetBinding.addin.xml:
	* VBBindingCompilerServices.cs:
	* Gui/ProjectOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.VBNetBinding.ProjectOptionsPanelWidget.cs:
	  Use the new API to properly implement support for Import
	  items.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Parser/DomParser.cs: Remove unused (but invalid) namespace,
	  as csc doesn't like it.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* VBNetBinding.csproj: Flush.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* VBNetBinding.mdp:
	* VBNetBinding.mds:
	* VBNetBinding.csproj: Migrated to MSBuild file format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* VBNetBinding.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* VBNetBinding.mdp: Flush.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* VBNetBinding.mdp:
	* gtk-gui/gui.stetic: Set correct gtk# version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Flush.

2009-02-02  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/VBNetResourceIdBuilder.cs: Track api changes.

2009-01-27  Lluis Sanchez Gual  <lluis@novell.com>

	* VBNetBinding.mdp:
	* gtk-gui/objects.xml:
	* gtk-gui/MonoDevelop.VBNetBinding.ProjectOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.VBNetBinding.ConfigurationOptionsPanelWidget.cs:
	Flush.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* VBNetBinding.mdp: Flush project format changes.

2008-12-30  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* VBAmbience.cs: Deleted (unused).

	* Gui/CodeGenerationPanel.cs:
	* Gui/CodeGenerationPanelWidget.cs:
	* gtk-gui/MonoDevelop.VBNetBinding.CodeGenerationPanelWidget.cs:
	Deleted, replaced with new widgets.

	* Gui/VBCompilerPanel.cs:
	* Gui/ChooseRuntimePanel.cs:
	* Gui/GuiMessageRecipient.cs:
	* Gui/TextEditorOptionsPanel.cs:
	* Gui/VBDocConfigurationPanel.cs: Delete unused dialogs.

	* Makefile.am:
	* md1format.xml:
	* VBNetBinding.mdp: Updated.

	* gtk-gui/gui.stetic:
	* VBCodeGenerator.cs:
	* gtk-gui/objects.xml:
	* gtk-gui/generated.cs:
	* ProjectExtensions.cs:
	* VBLanguageBinding.cs:
	* VBNetBinding.addin.xml:
	* Gui/ProjectOptionsPanel.cs:
	* VBBindingCompilerServices.cs:
	* Project/VBCompilerParameters.cs:
	* Gui/ConfigurationOptionsPanel.cs:
	* Gui/ProjectOptionsPanelWidget.cs:
	* Project/VBNetResourceIdBuilder.cs:
	* Gui/ConfigurationOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.VBNetBinding.ProjectOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.VBNetBinding.ConfigurationOptionsPanelWidget.cs:
	
	Major overhaul:
	- Added two new dialogs, one for project-specific options and one
      for configuration-specific options. All other dialogs	have been 
	  removed.
	- Fixed (de)serialization of project-specific options, they are now
	  correctly passed to the compiler (optionstrict|explicit|compare|
	  infer + a few more).
	- We're passing a lot more options to the compiler (-define:_MyType,
	  -optimize, -optioninfer, -optionstrict, -codepage , -rootnamespace,
	  -define:DEBUG/TRACE, -doc, -removeintchecks, -imports).
	- Warnings emitted by the compiler are correctly detected as warnings
	  instead of errors.
	- Unified namespace to MonoDevelop.VBNetBinding (there was a mix 
	  between VBBInding, MonoDevelop.VBBinding and MonoDevelop.VBNetBinding).

2008-12-29  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* FormattingStrategy:
	* Parser/SharpDevelopTree:
	* Parser/SharpDevelopTree/Class.cs:
	* Parser/SharpDevelopTree/ReturnType.cs:
	* Parser/SharpDevelopTree/Constructor.cs:
	* FormattingStrategy/VBFormattingStrategy.cs:
	* Parser/SharpDevelopTree/CompilationUnit.cs: Deleted unused/empty
	files.

2008-12-29  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* VBNetBinding.mdp: Updated.

2008-12-29  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Makefile.am:
	* Parser/Parser.cs:
	* Parser/Resolver.cs:
	* Parser/TypeVisitor.cs:
	* Parser/VBNetVisitor.cs:
	* Parser/ExpressionFinder.cs: Delete unused/commented out files.

2008-12-29  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* SharpRefactoryVB:
	* SharpRefactoryVB/src:
	* SharpRefactoryVB/src/Lexer:
	* SharpRefactoryVB/src/Parser:
	* SharpRefactoryVB/src/CodeDom:
	* SharpRefactoryVB/src/Main.cs:
	* SharpRefactoryVB/Makefile.am:
	* SharpRefactoryVB/src/Parser/AST:
	* SharpRefactoryVB/src/Lexer/Reader:
	* SharpRefactoryVB/src/Lexer/Specials:
	* SharpRefactoryVB/src/Lexer/Lexer.cs:
	* SharpRefactoryVB/src/AssemblyInfo.cs:
	* SharpRefactoryVB/src/CSharpConverter:
	* SharpRefactoryVB/src/Parser/generated:
	* SharpRefactoryVB/src/Parser/AST/INode.cs:
	* SharpRefactoryVB/src/Parser/AST/Enums.cs:
	* SharpRefactoryVB/src/Parser/AST/TypeLevel:
	* SharpRefactoryVB/src/Parser/AST/Statements:
	* SharpRefactoryVB/src/Parser/AST/GlobalScope:
	* SharpRefactoryVB/src/Parser/AST/Expressions:
	* SharpRefactoryVB/src/Parser/AST/Modifier.cs:
	* SharpRefactoryVB/src/Lexer/Reader/IReader.cs:
	* SharpRefactoryVB/src/CodeDom/CodeDOMVisitor.cs:
	* SharpRefactoryVB/src/Parser/generated/Makefile:
	* SharpRefactoryVB/src/Parser/AST/IASTVisitor.cs:
	* SharpRefactoryVB/src/Lexer/Specials/Comment.cs:
	* SharpRefactoryVB/src/Lexer/Specials/NewLine.cs:
	* SharpRefactoryVB/src/Parser/generated/Parser.cs:
	* SharpRefactoryVB/src/Parser/generated/Errors.cs:
	* SharpRefactoryVB/src/Parser/generated/VBNET.ATG:
	* SharpRefactoryVB/src/Lexer/Reader/FileReader.cs:
	* SharpRefactoryVB/src/Parser/AST/AbstractNode.cs:
	* SharpRefactoryVB/src/Lexer/Specials/TagComment.cs:
	* SharpRefactoryVB/src/Parser/generated/keywordlist:
	* SharpRefactoryVB/src/Lexer/Reader/StringReader.cs:
	* SharpRefactoryVB/src/Parser/generated/Parser.frame:
	* SharpRefactoryVB/src/Lexer/Specials/CommentType.cs:
	* SharpRefactoryVB/src/Parser/AST/CompilationUnit.cs:
	* SharpRefactoryVB/src/Parser/generated/Modifiers.cs:
	* SharpRefactoryVB/src/Parser/generated/Scanner.frame:
	* SharpRefactoryVB/src/Parser/AST/LookupTableVisitor.cs:
	* SharpRefactoryVB/src/Parser/generated/buildparser.cmd:
	* SharpRefactoryVB/src/Parser/AST/AbstractASTVisitor.cs:
	* SharpRefactoryVB/src/Lexer/Specials/SpecialTracker.cs:
	* SharpRefactoryVB/src/CSharpConverter/CSharpVisitor.cs:
	* SharpRefactoryVB/src/Parser/generated/ParamModifiers.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/Statement.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/IfStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/Expression.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/ForStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/EndStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/TypeLevel/HandlesClause.cs:
	* SharpRefactoryVB/src/Parser/AST/TypeLevel/TypeReference.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/LockStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/StopStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/WithStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/ExitStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/GoToStatement.cs:
	* SharpRefactoryVB/src/Parser/generated/keywordlist/Tokens.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/LabelStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/ReDimStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/BlockStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/ErrorStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/WhileStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/ThrowStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/EraseStatements.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/DoLoopStatement.cs:
	* SharpRefactoryVB/src/Parser/generated/keywordlist/Keywords.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/ResumeStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/ReturnStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/SelectStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/TypeLevel/ImplementsClause.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/CastExpression.cs:
	* SharpRefactoryVB/src/Lexer/Specials/PreProcessingDirective.cs:
	* SharpRefactoryVB/src/Parser/AST/TypeLevel/FieldDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/TypeLevel/EventDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/OnErrorStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/GlobalScope/TypeDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/ForeachStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/TypeLevel/PropertyGetRegion.cs:
	* SharpRefactoryVB/src/Parser/AST/TypeLevel/MethodDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/TypeLevel/PropertySetRegion.cs:
	* SharpRefactoryVB/src/Parser/AST/GlobalScope/ImportsStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/TypeOfExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/TryCatchStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/TypeLevel/DeclareDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/TypeLevel/PropertyDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/GetTypeExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/TypeLevel/VariableDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/GlobalScope/ImportsDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/AddHandlerStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/RaiseEventStatement.cs:
	* SharpRefactoryVB/src/Parser/generated/keywordlist/KeywordList.txt:
	* SharpRefactoryVB/src/Parser/AST/Expressions/PrimitiveExpression.cs:
	* SharpRefactoryVB/src/Parser/generated/keywordlist/BuildKeywords.pl:
	* SharpRefactoryVB/src/Parser/AST/Expressions/AddressOfExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/GlobalScope/DelegateDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/StatementExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/TypeLevel/ConstructorDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/InvocationExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/GlobalScope/NamespaceDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/GlobalScope/AttributeDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/IdentifierExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/AssignmentExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/RemoveHandlerStatement.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/ArrayCreateExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/ObjectCreateExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/ParenthesizedExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/BaseReferenceExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/NamedArgumentExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/GlobalScope/ImportsAliasDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/Statements/LocalVariableDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/GlobalScope/OptionStrictDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/ThisReferenceExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/TypeReferenceExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/UnaryOperatorExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/ClassReferenceExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/BinaryOperatorExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/GlobalScope/OptionCompareDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/GlobalScope/OptionExplicitDeclaration.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/ArrayInitializerExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/LoopControlVariableExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/ParameterDeclarationExpression.cs:
	* SharpRefactoryVB/src/Parser/AST/Expressions/FieldReferenceOrInvocationExpression.cs:
	Delete a lot of unused/empty files.

	* ProjectNodeBuilder.cs: Delete unused file.

2008-12-29  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* md1format.xml: Sync with VBCompilerParameters.

2008-12-29  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Project/VBCompilerParameters.cs:
	* Gui/CodeGenerationPanelWidget.cs: Remove compiler parameters which
	aren't applicable to any vb compiler. Added MyType compiler
	parameter.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* VBNetBinding.mdp: All projects now require fx 3.5.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* VBNetBinding.mdp: Don't require a specific version of Mono.Addins.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel build.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-20  Michael Hutchinson  <mhutchinson@novell.com>

	* VBBindingCompilerServices.cs: Skip the space after the end of
	filenames when capturing error locations. Fixes Bug 444089 - File not
	found when going to source of error.

2008-11-20  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/CodeGenerationPanelWidget.cs: Fix NRE.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* VBNetBinding.addin.xml: Bump MD version.

2008-11-04  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/CodeGenerationPanelWidget.cs: Disable CompileTarget and MainClass
	setting when project.IsLibraryBasedProjectType. Prevents messing up
	ASP.NET and Moonlight projects.

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* VBNetBinding.addin.xml: Removed vb ambience.

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* VBNetBinding.addin.xml: fixed 'Bug 399737 - Code completion busted for
	referenced assemblies that are not in GAC, are outside of the
	solution, and which are referenced by other non-GAC outside
	referenced assemblies'.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com> 

	* VBBindingCompilerServices.cs: Track API.

2008-10-01  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* VBBindingCompilerServices.cs: GenerateOptions: Output the actual
	  additional parameters to the compiler command, not the length of
	  the additional parameters.

2008-09-26  Michael Hutchinson <mhutchinson@novell.com> 

	* Parser/DomParser.cs: Track API.

2008-09-16  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.mdp, md1format.xml, Makefile.am: Add missing file.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.mdp, gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.VBNetBinding.CodeGenerationPanelWidget.cs:
	  Updated generated code.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CodeGenerationPanelWidget.cs: Track api changes.

2008-09-10  Mike Krüger <mkrueger@novell.com> 

	* Parser/DomParser.cs: Changed compilation unit/document meta
	  information interface.

2008-09-09  Mike Krüger <mkrueger@novell.com> 

	* Parser/DomParser.cs: Some changes caused by interface changes.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* Gui/CodeGenerationPanelWidget.cs, Parser/Parser.cs,
	  Parser/DomParser.cs, Parser/VBNetVisitor.cs, Parser/Resolver.cs,
	  Parser/TypeVisitor.cs, Parser/ExpressionFinder.cs,
	  Parser/SharpDevelopTree/CompilationUnit.cs,
	  Parser/SharpDevelopTree/ReturnType.cs,
	  Parser/SharpDevelopTree/Class.cs,
	  Parser/SharpDevelopTree/Constructor.cs, VBAmbience.cs,
	  VBLanguageBinding.cs: Translated old code to new dom.

2008-07-28  Mike Krüger <mkrueger@novell.com> 

	* Parser/TypeVisitor.cs: Some changes for the new nrefactory.

2008-07-27  Mike Krüger <mkrueger@novell.com> 

	* Parser/DomParser.cs: Worked on code completion/new dom.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/VBCompilerParameters.cs: Moved serialization engine to
	  MonoDevelop.Core. Use new syntax for specifying attribute scope.

2008-07-15  Mike Krüger <mkrueger@novell.com> 

	* Parser/DomParser.cs: Added missing method (interface changed).

2008-07-14  Mike Krüger <mkrueger@novell.com> 

	* Parser/DomParser.cs: Added missing method (interface changed).

2008-06-14  Ankit Jain  <jankit@novell.com>

	Fix bug #400300.
	* VBBindingCompilerServices.cs (ParseOutput): Returns BuildResult now.
	Move construction of BuildResult to here.

2008-06-14  Ankit Jain  <jankit@novell.com>

	* VBBindingCompilerServices.cs (GenerateOptions): Emit -debug option.

2008-06-13  Mike Krüger <mkrueger@novell.com> 

	* Parser/DomParser.cs: worked on dom parser.

2008-06-13  Mike Krüger <mkrueger@novell.com> 

	* Parser/DomParser.cs: Some changes in the vb.net dom parser.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.addin.xml: Bump MD version.

2008-05-28  Mike Krüger <mkrueger@novell.com> 

	* VBNetBinding.addin.xml, Parser/DomParser.cs: Worked on vb.net dom
	  parser.

2008-05-27  Mike Krüger <mkrueger@novell.com> 

	* VBNetBinding.mdp, Parser/DomParser.cs, Makefile.am: Added new dom
	  parser for vb.net.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.addin.xml: Merged the extension points for project and
	  solution option panels into a single extension point. A single
	  extension point will now be used for all kinds of items. Extension
	  conditions can be used to make panels visible only for some
	  specific item types.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* VBBindingCompilerServices.cs, VBLanguageBinding.cs: Replaced
	  ICompilerResult/DefaultCompilerResult/CompilerResults by a new
	  BuildResult class, which has owner information at error level, so
	  it is possible to know which project generated an error when
	  building a solution. Updated Task and TaskService to use the new
	  owner information.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CodeGenerationPanel.cs, Gui/CodeGenerationPanelWidget.cs,
	  VBNetBinding.addin.xml, VBNetBinding.mdp, VBNetBinding.mds,
	  VBBindingCompilerServices.cs, Project/VBCompilerParameters.cs,
	  Project/VBNetResourceIdBuilder.cs, gtk-gui/objects.xml,
	  gtk-gui/gui.stetic, Makefile.am: New project model changes.

2008-05-08  Michael Hutchinson <mhutchinson@novell.com> 

	* VBNetBinding.addin.xml: Set "isText" attribute on the mimetype
	  definitions.

2008-04-15  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs: Don't check using's region, since it is the
	  region of the using declaration only.

2008-04-11  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.addin.xml: Use the new mime type extension to register
	  new file types.
	* gtk-gui/MonoDevelop.VBNetBinding.CodeGenerationPanelWidget.cs:
	  Updated.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* Gui/CodeGenerationPanelWidget.cs,
	  gtk-gui/MonoDevelop.VBNetBinding.CodeGenerationPanelWidget.cs: Worked on
	  gnome hig compliant alerts.

2008-02-23  Mike Krüger <mkrueger@novell.com> 

	* VB.glade, Gui/CodeGenerationPanel.cs, Gui/CodeGenerationPanelWidget.cs,
	  VBNetBinding.addin.xml, VBNetBinding.mdp, VBBindingCompilerServices.cs,
	  Project/VBCompilerParameters.cs, Makefile.am: Removed old glade widget,
	  improved option panel a bit.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.addin.xml: Update MD version.

2008-01-23  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CodeGenerationPanel.cs: Ensure we don't create subclasses of classes
	  with private fields bound by glade#. It would not work due to bug
	  355228.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* templates/EmptyVBFile.xft.xml, templates/EmptyVBProject.xpt.xml,
	  templates/AssemblyInfo.xft.xml, templates/VBGtkSharp2Project.xpt.xml,
	  templates/VBConsoleApplicationProject.xpt.xml: Make template categories
	  translatable.

2008-01-03  Michael Hutchinson <mhutchinson@novell.com> 

	* VBBindingCompilerServices.cs: Update the compiler output parsing regex to
	  handle all vbnc errors and correctly extract file and position info when
	  present.

2008-01-02  Michael Hutchinson <mhutchinson@novell.com> 

	* Parser/Parser.cs: Merge some code from C# binding so that VB parser
	  actually tags classes with the filename in which they're defined. Fixes
	  CodeBehind grouping and double-clicking on items in the class pad.

2008-01-02  Michael Hutchinson <mhutchinson@novell.com> 

	* VBNetBinding.mdp, Makefile.am, VBLanguageBinding.cs, VBCodeGenerator.cs:
	  Import VB.NET CodeDOM generator from Mono to get partial class support
	  and keyword escaping support.

2007-12-31  Michael Hutchinson <mhutchinson@novell.com> 

	* VBNetBinding.addin.xml, VBNetBinding.mdp, templates/AssemblyInfo.xft.xml,
	  Makefile.am: Add AssemblyInfo template.
	* templates/EmptyVBFile.xft.xml: Use standard header.
	* templates/VBGtkSharp2Project.xpt.xml,
	  templates/VBConsoleApplicationProject.xpt.xml: Use standard headers and
	  AssemblyInfo template.

2007-12-31  Michael Hutchinson <mhutchinson@novell.com> 

	* VBBindingCompilerServices.cs: Use WaitForOutput instead of WaitForExit to
	  make sure we get all of the output, or the output-collecting thread can
	  sometimes try to write to the StringWriter after it's disposed, and
	  crash the IDE.  Also tidy up code.
	* Makefile.am: Updated.
	* VBLanguageBinding.cs: We don't support the 1.1 profile for VB, so remove
	  it.

2007-12-26  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* VBNetBinding.addin.xml: Remove Gtk# 1.0 template. Add the
	  RuntimeOptionsPanel so that projects can change their clr version.
	* templates/VBGtkSharpProject.xpt.xml, Makefile.am: Remove Gtk# 1.0
	  template.
	* VBLanguageBinding.cs: Add support for 2.0 clr versions.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CodeGenerationPanel.cs: Fix warning.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.addin.xml: Bump add-in versions.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.addin.xml, VBNetBinding.mdp, VBNetBinding.mds, Makefile.am:
	  Directory reorganization.

2007-11-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/VBCompilerParameters.cs: Removed some obsolete attributes.

2007-10-29  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* VBBindingCompilerServices.cs: A few changes to cope with vbnc''s issues:
	  Use the compiler's exit code to determine whether the compile failed,
	  and not the presence or not of errors parsed from the compiler output.
	  If the compile failed (exit code != 0) and no errors were correctly
	  parsed, show the entire output, since it's probable that the compiler
	  crashed somehow. Also show the commandline used to compile in MD's
	  output window, as well as any compiler output. Use in-memory storage
	  instead of temporary files for compiler output.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.addin.xml: Bump MD version.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.addin.xml: Track changes in the Icon extension node.

2007-10-25  Lluis Sanchez Gual <lluis@novell.com> 

	* icons/VB.File.EmptyFile, icons/VB.File.Form, icons/VB.File.FullFile,
	  icons/VB.File.NewClass, icons/VB.File.WebFile,
	  icons/VB.Project.ServiceProject, icons/VB.Project.UserControl,
	  icons/VB.Project.WebProject, Makefile.am, templates/EmptyVBFile.xft.xml,
	  VBNetBinding.mdp: Use tango file icons. Removed obsolete icons.

2007-10-24  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.mdp, templates/EmptyVBProject.xpt.xml,
	  templates/VBGtkSharpProject.xpt.xml,
	  templates/VBGtkSharp2Project.xpt.xml,
	  templates/VBConsoleApplicationProject.xpt.xml, Makefile.am,
	  icons/VB.Project.Library, icons/VB.ProjectIcon,
	  icons/VB.Project.DOSProject, icons/VB.Project.EmptyProject,
	  icons/vb-icon-32.png, icons/VB.Project.FullProject,
	  icons/VB.Project.Form: Updated project icons. Use the base project icon
	  with an overlay to show the type.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.mdp, VBNetBinding.mds: Project file names updated by change
	  in MD path functions.

2007-10-12  Mike Krüger <mkrueger@novell.com> 

	* VBBindingCompilerServices.cs: Applied changes that were neccassary for to
	  the new FileService.

2007-10-11  Mike Krüger <mkrueger@novell.com> 

	

2007-10-09  Ankit Jain  <jankit@novell.com>

	* VBBindingCompilerServices.cs: Removed code for building resources. Its
	done by DotNetProject now.

2007-10-03  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.mdp: Fix warning level.
	* Parser/VBNetVisitor.cs, Parser/Resolver.cs: Track api changes.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.addin.xml: Bump MD version.

2007-09-14  Lluis Sanchez Gual <lluis@novell.com> 

	* VBAmbience.cs: Track API changes.

2007-09-04  Michael Hutchinson <MHutchinson@novell.com> 

	* Gui/CodeGenerationPanel.cs, VBAmbience.cs: Fix some compiler warnings.

2007-08-31  Mike Krüger <mkrueger@novell.com> 

	* Gui/CodeGenerationPanel.cs, Parser/Resolver.cs, VBAmbience.cs,
	  VBBindingCompilerServices.cs: Changes due to new property
	  infrastructure.

2007-08-23  Mike Krüger <mkrueger@novell.com> 

	* Parser/Parser.cs, Parser/VBNetVisitor.cs, Parser/Resolver.cs,
	  Parser/TypeVisitor.cs, Parser/SharpDevelopTree/ReturnType.cs,
	  Parser/SharpDevelopTree/Class.cs,
	  Parser/SharpDevelopTree/Constructor.cs: Changed to the latest NRefactory
	  version.

2007-08-23  Ankit Jain  <jankit@novell.com>

	* VBBindingCompilerServices.cs (GetResourceId): Generate .resources
	with resgen only if required. Set resource id even if resgen is not required.

2007-08-23  Ankit Jain  <jankit@novell.com>
	    AndrÃ©s G. Aragoneses  <knocte@gmail.com>

	* VBBindingCompilerServices.cs (GetResourceId): Use MONO_IOMAP=drive and
	only on unix.

2007-08-14  Ankit Jain  <jankit@novell.com>

	* VBBindingCompilerServices.cs (GetResourceId): Run resgen with
	MONO_IOMAP=all. See bug #82398.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.addin.xml, VBNetBinding.mdp, Makefile.am: Reorganized the
	  extension point hierarchy. Embedded all add-in manifests as resources.

2007-07-17  Lluis Sanchez Gual <lluis@novell.com> 

	* VBBindingCompilerServices.cs: Make sure all output generated by the
	  compiler process is read.

2007-07-03  Mike Krüger <mkrueger@novell.com> 

	* VBBindingCompilerServices.cs: added signing support.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.mdp: Added missing file.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.mdp, Makefile.am: Reference shared assemblies from the
	  correct location.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/ChooseRuntimePanel.cs, Gui/CodeGenerationPanel.cs,
	  VBNetBinding.addin.xml, VBNetBinding.mdp, Makefile.am: Migration to
	  Mono.Addins.

2007-04-19  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.mdp: Don't copy referenced assemblies.
	* VBNetBinding.mds: Updated.

2007-03-20  Ankit Jain  <jankit@novell.com>

	* templates/VBGtkSharp2Project.xpt.xml: Rename AssemblyInfo.cs to .vb
	Fix Main.vb . Patch by Yasser Mekled (yassermekled@gmail.com), fixes
	bug#81114.
	* templates/VBGtkSharpProject.xpt.xml: Likewise.
	* templates/VBConsoleApplicationProject.xpt.xml: Make comments
	consistent.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.addin.xml: Change add-in versions to 0.13.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.mdp, VBNetBinding.mds, Makefile.am: Synchronized the MD
	  project and the Makefile

2007-02-02  Ankit Jain  <jankit@novell.com>

	* VBBindingCompilerServices.cs (Compile): Move resource compiling code
	to ..
	(GetResourceId): .. here. Improve error messages.

2007-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/VBNetVisitor.cs, Parser/SharpDevelopTree/Constructor.cs: Track
	  api changes.

2007-01-11  Ankit Jain  <jankit@novell.com>

	* VBBindingCompilerServices.cs (Compile): Echo resgen command line
	for debugging purpose.

2007-01-11  Ankit Jain  <jankit@novell.com>

	* VBBindingCompilerServices.cs (Compile): .resx file has paths
	relative to the .resx file itself.

2006-12-21  Ankit Jain  <jankit@novell.com>

	* VBBindingCompilerServices.cs (Compile): Use project's base
	directory as the working directory when invoking the compiler.
	(DoCompilation): Add param 'working_dir'.

2006-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/VBCompilerPanel.cs, ProjectNodeBuilder.cs,
	  VBBindingCompilerServices.cs: Track changes in the FileService
	  class.
	* Gui/VBDocConfigurationPanel.cs: Use the FileService for deleting
	  files.
	* Gui/CodeGenerationPanel.cs: Removed unused var.

2006-12-15  Ankit Jain  <jankit@novell.com>

	* VBBindingCompilerServices.cs (Compile): Filename arg to resgen should
	be quoted.

2006-12-15  Ankit Jain  <jankit@novell.com>

	* VBBindingCompilerServices.cs (Compile): Use resgen to convert .resx
	to embeddable resource format (.resources). Handle 'null' resourceId.

2006-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* VBNetBinding.mdp, Parser/SharpDevelopTree/Indexer.cs,
	  Parser/SharpDevelopTree/Method.cs,
	  Parser/SharpDevelopTree/Parameter.cs,
	  Parser/SharpDevelopTree/Event.cs, Parser/SharpDevelopTree/Field.cs,
	  Parser/SharpDevelopTree/Property.cs,
	  Parser/SharpDevelopTree/AttributeSection.cs, Makefile.am: Removed
	  some unnecessary Default* subclasses.
	* Parser/VBNetVisitor.cs, Parser/Resolver.cs,
	  Parser/SharpDevelopTree/CompilationUnit.cs,
	  Parser/SharpDevelopTree/ReturnType.cs,
	  Parser/SharpDevelopTree/Class.cs,
	  Parser/SharpDevelopTree/Constructor.cs: Renamed Abstract* classes
	  to Default*. Removed some unnecessary Default* subclasses.

2006-12-13  Ankit Jain  <jankit@novell.com>

	* Project/VBCompilerParameters.cs (Win32Resource): New.
	* VBBindingCompilerServices.cs (GenerateOptions): Generate 
	option for Win32Resource. Don't generate option for win32icon 
	if win32resource is defined.

2006-12-12  Ankit Jain  <jankit@novell.com>

	* VBBindingCompilerServices.cs (Compile): Use ProjectFile.ResourceId for
	embedded resources.

2006-11-14  Ankit Jain  <jankit@novell.com>

	* Gui/CodeGenerationPanel.cs (CodeGenerationPanelWidget.SetValues): Fix
	the order of the CompileTarget options.

2006-09-18 Jacob Ilsø Christensen <jacobilsoe@gmail.com>

	* VBNetBinding.mdp:
	* VBNetBinding.mds:
	Updated.

	* .: Added svn:ignore for VBNetBinding.pidb.
	
2006-09-12 Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* VBBindingCompilerServices.cs: Fixed win32 pathing/compilation issues, removed /bin/sh dependence, removed \r.

2006-09-12 Jacob Ilsø Christensen <jacobilsoe@gmail.com>

	* VBAmbience.cs: Track changes in Ambience.

2006-07-11 Philip Turnbull <philip.turnbull@gmail.com>

	* VBNetBinding/VBNetBinding.addin.xml:
	Added VB Ambience.

	* VBNetBinding/VBAmbience.cs:
	Track API changes in Ambience.

2006-07-05 Matej Urbas <matej.urbas@gmail.com>

	* Parser/VBNetVisitor.cs:
	* Parser/Resolver.cs: Updated to use ReturnType as BaseTypes in IClass
	  instances.

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* VBLanguageBinding.cs:
	* VBBindingCompilerServices.cs: Track changes in ProjectReference.
	  Removed obsolete GenerateMakefile method.
	* VBNetBinding.addin.xml: Updated versions.

2006-06-24 John Luke <john.luke@gmail.com>

	* Makefile.am: reference NRefactory not SharpRefactory.VB
	* SharpRefactoryVB: remove old VB parser
	* VBNetBinding.addin.xml: remove SharpRefactory.VB 
	* Parser/*.cs: port to NRefactory
	
2006-06-15 Lluis Sanchez Gual  <lluis@novell.com>

	* VBNetBinding.addin.xml: Use the DataType element instead fof Class
	  to declare serializable types.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* VBNetBinding.addin.xml: Updated versions.
	* VBNetBinding.mdp: Updated.

2006-04-21 Lluis Sanchez Gual <lluis@novell.com> 

	* VBLanguageBinding.cs: Implement GetSupportedClrVersions.

2006-04-07  David Makovský (Yakeen) <yakeen@sannyas-on.net>

	* VBNetBinding.addin.xml: renamed attribute in FileFilter Extension

2006-03-30 Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am:
	* VBNetBinding.addin.xml: Updated references.

2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* VBNetBinding.mdp:
	* MonoQuery/MonoQuery.mdp: Updated.
	* Makefile.am:
	* SharpRefactoryVB/Makefile.am: Use an unified format. 
	  Patch by Matze Braun.
	
	* VBNetBinding.addin.xml: Updated add-in versions.

2006-03-17  Jacob Ilsø Christensen <jacobilsoe@gmail.com>

	* Parser/Parser.cs:
	* Parser/Resolver.cs:
	Removed unused MonodocResolver.

2006-03-12  David Makovský (Yakeen) <yakeen@sannyas-on.net>

        * VB.glade: Marking some strings not to be translated. Not include balast in pot file.
	
2006-01-30 Lluis Sanchez Gual  <lluis@novell.com>   

	* VBBindingCompilerServices.cs:
	* Parser/Resolver.cs:
	* Parser/Parser.cs: Track changes in parser api.

2006-01-10 Lluis Sanchez Gual  <lluis@novell.com>   

	* Parser/VBNetVisitor.cs:
	* Parser/SharpDevelopTree/AttributeSection.cs:
	* Parser/Parser.cs: Track api changes.
	
	* Parser/ExpressionFinder.cs: Updated from SharpDevelop.

2005-12-13  Lluis Sanchez Gual  <lluis@novell.com> 

	* Parser/Parser.cs: Track changes in the api.
	* VBLanguageBinding.cs: Implemented the new methods in
	IDotNetLanguageBinding.

2005-10-11  John Luke  <john.luke@gmail.com>

	* Makefile.am: remove SharpAssembly reference
	* VBAmbience.cs: comment out SharpAssembly stuff
	
2005-10-11  Lluis Sanchez Gual  <lluis@novell.com>

	* VBNetBinding.addin.xml: Fixed incorrect class name.

2005-10-11  Lluis Sanchez Gual  <lluis@novell.com> 

	* VBNetBinding.addin.xml: Fixed addin header information.
	Use "id" attribuet instead of "name" to identify addins.

2005-10-06  Lluis Sanchez Gual  <lluis@novell.com> 

	* VBNetBinding.addin.xml:
	* VBLanguageBinding.cs: Register serializable types in the addin
	configuration file.

2005-10-05  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Fix reference to ICSharpCode.SharpRefactory.VB.dll.

2005-10-04  Lluis Sanchez Gual  <lluis@novell.com> 

	* VBNetBinding.addin.xml: Added addin dependencies.
	* Makefile.am: Fix location of ICSharpCode.SharpRefactory.VB.dll.

2005-08-20  John Luke  <john.luke@gmail.com>

	* Parser/Resolver.cs:
	* Parser/ExpressionFinder.cs: fix 2 warnings of assigning
	a variable to itself
	
2005-08-20  Peter Johanson  <latexer@gentoo.org> 

	* templates/VBGtkSharp2Project.xpt.xml: Fix gtk-sharp references to
	match new assembly versions.

2005-08-12  Lluis Sanchez Gual  <lluis@novell.com> 

	* templates/*:
	* VBNetBinding.addin.xml: Properly reference resource icons and
	templates.
	* Makefile.am: Embed icon and templates as resources.

2005-08-09  Lluis Sanchez Gual  <lluis@novell.com> 

	* Parser/Resolver.cs:
	* Gui/CodeGenerationPanel.cs:
	* Parser/Parser.cs: Use the new IParserContext API.

2005-07-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/VBCompilerParameters.cs: Implement ICloneable.
	* VBLanguageBinding.cs: CreateCompilationParameters now returns an
	ICloneable.

2005-07-01  John Luke  <john.luke@gmail.com>

	* SharpRefeactoryVB/Makefile.am:
	build to MonoDevelop/build/bin so .mdb file goes to the right place
	remove stray CSC definition

2005-05-06  John Luke  <john.luke@gmail.com>

	* Makefile.am: replace 'make' with $(MAKE)
	This fixes it on FreeBSD, should work everywhere.
	by cnehren@gmail.com (Christopher Nehren)
	
2005-04-17  John Luke  <john.luke@gmail.com>

	* Makefile.am: fix distcheck

2005-03-30  John Luke  <john.luke@gmail.com>

	* Parser/Parser.cs: stop printing 'Entering VB parser'

2005-03-07  Lluis Sanchez Gual  <lluis@novell.com>

	* Parser/Resolver.cs: Track api changes.

2005-02-16  Ben Motmans  <ben.motmans@gmail.com>

	* EmptyVBFile.xpt.xml:
	* EmptyVBProject.xpt.xml:
	* VBConsoleApplicationProject.xpt.xml:
	Consistent naming

	* VBGtkSharpProject.xpt.xml:
	* VBGtkSharp2Project.xpt.xml:
	* VBNetBinding.addin.xml:
	* Makefile.am:
	Added templates

2005-01-28  John Luke  <john.luke@gmail.com>

	* SharpRefactoryVB/src/Lexer/Lexer.cs:
	* SharpRefactoryVB/src/Parser/generated/Parser.cs:
	* SharpRefactoryVB/src/Parser/generated/VBNET.ATG:
	warning fixes for unused code
	* SharpRefactoryVB/src/Parser/generated/Makefile:
	add makefile to regen parser

2005-01-28  John Luke  <john.luke@gmail.com>

	* Parser/Parser.cs: update to CanParse

2005-01-27  John Luke  <john.luke@gmail.com>

	* VB.glade: update to new glade format

	* VB.glade:
	* Gui/CodeGenerationPanel.cs:
	* Parser/VBNetVisitor.cs:
	* Parser/Resolver.cs:
	* VBBindingCompilerServices.cs: fix some warnings,
	use ComboBox instead of OptionMenu

2005-01-24  Lluis Sanchez Gual  <lluis@novell.com>

	* VBBindingCompilerServices.cs: 
	* VBLanguageBinding.cs: Use the new progress monitor API.
	
2005-01-11  Lluis Sanchez Gual  <lluis@novell.com>

	* VBCompilerPanel.cs:
	* Gui/ChooseRuntimePanel.cs:
	* Gui/VBDocConfigurationPanel.cs:
	* Gui/CodeGenerationPanel.cs:
	* VBNetBinding.addin.xml:
	* ProjectNodeBuilder.cs:
	* Parser/Parser.cs:
	* Parser/Resolver.cs:
	* VBBindingCompilerServices.cs:
	* VBLanguageBinding.cs: Follow architecture changes.

	* Gui/OutputOptionsPanel.cs:
	* VB.glade: Removed dialog now implemented in Monodevelop.Base.
	
	* Project/VBCompilerParameters.cs: Moved some parameters and enum
	definitions to DotNetProjectConfiguration.
	
	* Project/VBProject.cs:
	* VBBindingExecutionServices.cs: Removed. Not needed any more.
	* Makefile.am: Updated.

2004-12-13  Lluis Sanchez Gual  <lluis@novell.com>

	* VBBindingCompilerServices.cs: StatusBarService.ProgressMonitor is not a
	StatusBar widget any more.

2004-12-07  Alexandre Gomes <alexmipego@hotmail.com>

	* VBLanguageBinding.cs: Added CommentTag to be used by (Un)CommentCode

2004-11-05  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Imported from #D and made to work with MD tools and namespaces
